Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Lolu chungechunge lwabekwa kunqolobane. Uyacelwa ubuze umbuzo omusha uma udinga usizo.

I'm using Aurora versioon of Firefox. It won't print & says I need to install a printer but it's already installed.

  • 1 baphendule
  • 3 zinale nkinga
  • 3 views
  • Igcine ukuphendulwa ngu James

more options

I'm using Aurora version of Firefox (v. 5.02a). I try to print but it won't and says I need to install a printer. I say OK but it then fails. I already have my printer installed and it works fine with all browsers but Aurora. This problem happened about the time I was offered to upgrade to v 6.02a. I tried upgrading but the upgrade failed and I lost all my many tabs that I keep open for research for my writing. I must be able to print and wonder what I should do (and why 6.0a2 didn't work!).

All Replies (1)

more options

That 5.0a2 version is old as Firefox 5.0 has been on the Beta channel for some time now and is due for release on June 21 next week (despite what some sites wrongly claim).

Firefox 6.0a2 has been getting developed on the Aurora channl for a few weeks now.

You should update to recent Firefox 5.0 beta 7 at http://www.mozilla.com/en-US/firefox/channel/ or update when 5.0 is released.

Okulungisiwe ngu James